---
default: --publish-quiet -p allure -p bdd -p local -p chrome

bdd: -f pretty
dots: -f progress
html: -f html -o logs/report.html
allure: --format AllureCucumber::CucumberFormatter --out=logs
local: CONFIG=local.yml
hmg: CONFIG=hmg.yml
firefox: BROWSER=firefox
fire_headless: BROWSER=fire_headless
chrome: BROWSER=chrome
chrome_headless: BROWSER=chrome_headless


# relatório do cucumber na nuvem, que se auto-destrói em 1 dia.
#se fizer conta github e associar, pode ver mais dias, porém tem questão de segurança.

#o quiet desabilita salvar na nuvem, pela segurança e tira aquela caixinha no 
#final da execução que deixa bagunçado.

#se adicionar o -f progress, deixamos de usar o padrão do BDD na execução
#e vai para o formato progress

# se usar -p bdd usa o pretty, se usar -p dots usa o progress